#!/bin/bash
#
# startup script for station ???
#
echo starting `uname -n` ...
#
TMPPATH=$PATH
#
[ ! -f /.generic_has_been_run ] && /MIDAS/LynxOS_MCG/$release/startup/generic
#
# add target specific startup here
#
export PATH=/MIDAS/LynxOS_MCG/$release/bin:${PATH}
#
UM=`umask`
umask 0
#    install VME int driver
dynaminst -v /MIDAS/LynxOS_MCG/$release/startup/setup/insttab-vmeint
#
# start the message logger dispatcher
loggerd
#
#    CES CBD8210 is at VME base address 0x800000 in A24 for branch 0
netint CBD_Base 0x00800000
CamacRS_ces    1 camac /MIDAS/LynxOS_MCG/$release/startup/camac_ces.init
#
#    Hytec VSD2992 is at VME base address 0xc000 in A16
#netint VSD_Base 0xc000
#CamacRS_hytec 1 camac /MIDAS/LynxOS_MCG/$release/startup/nnppc2.hytec_init
#
source /MIDAS/config/CAMAC/NetVarDefn.LynxOS
export ERSPORT=1
source /MIDAS/config/CAMAC/NetVarRegDefn
export ERSPORT=0
#
vmeers 0 vme
source /MIDAS/config/VME/NetVarDefn.LynxOS
source /MIDAS/config/VME/NetVarRegDefn
#
# start spectrum server:
#
memsas
#
#    load main data acquisition program
#    define netints and access registers
#    supply (non default) options
#
netstring TS_Server "nnlc"
#netint DACQ_Swop 1
#
netint X2VB_BufferSize 64
netint Output_BufferSize 32
netint Format_Option 4
netint Xfer_Option 3
#
nice /MIDAS/Data_Acq/bin/LynxOS_MCG/$release/TCP/FERAExecV11
#
umask $UM
#
echo ... `uname -n` startup complete
#
