#!/bin/bash
#
# startup script for station ???
#
echo starting `uname -n` ...
#
TMPPATH=$PATH
#
[ ! -f /.generic_has_been_run ] && /MIDAS/LynxOS_MCG/$release/startup/generic
#
# add target specific startup here
#
export PATH=/MIDAS/LynxOS_MCG/$release/bin:${PATH}
#
UM=`umask`
umask 0
#    install VME driver
dynaminst -v /MIDAS/LynxOS_MCG/$release/startup/setup/insttab-vmeint
#
# start the message logger dispatcher
loggerd
#
vmeers 0 vme
source /MIDAS/config/VME/NetVarDefn.LynxOS
source /MIDAS/config/VME/NetVarRegDefn
#
# start spectrum server:
#
memsas
#
#    load main data acquisition program
#    define netints and access registers
#
#netstring TS_Server "nnw2kl"
netstring TS_Server "nnlc"
#netint DACQ_Swop 1
#
netint Output_BufferSize 32
netint Xfer_Option 3
#
nice /MIDAS/Data_Acq/bin/LynxOS_MCG/$release/TCP/GRT4PExecV2
#
umask $UM
#
echo ... `uname -n` startup complete
#
